/*
 * Cloudera Manager API
 * <h1>Cloudera Manager API v30</h1>       <p>Introduced in Cloudera Manager 6.0.0</p>       <p><a href=\"http://www.cloudera.com/documentation.html\">Cloudera Product Documentation</a></p>
 *
 * OpenAPI spec version: 6.0.1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.cloudera.api.swagger.model;

import java.util.Objects;
import com.cloudera.api.swagger.model.ApiHdfsReplicationResult;
import com.cloudera.api.swagger.model.ApiHiveReplicationError;
import com.cloudera.api.swagger.model.ApiHiveTable;
import com.cloudera.api.swagger.model.ApiHiveUDF;
import com.cloudera.api.swagger.model.ApiImpalaUDF;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * Detailed information about a Hive replication job.
 */
@ApiModel(description = "Detailed information about a Hive replication job.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-10-02T00:44:14.340Z")
public class ApiHiveReplicationResult {
  @SerializedName("phase")
  private String phase = null;

  @SerializedName("tableCount")
  private BigDecimal tableCount = null;

  @SerializedName("tables")
  private List<ApiHiveTable> tables = null;

  @SerializedName("impalaUDFCount")
  private BigDecimal impalaUDFCount = null;

  @SerializedName("hiveUDFCount")
  private BigDecimal hiveUDFCount = null;

  @SerializedName("impalaUDFs")
  private List<ApiImpalaUDF> impalaUDFs = null;

  @SerializedName("hiveUDFs")
  private List<ApiHiveUDF> hiveUDFs = null;

  @SerializedName("errorCount")
  private BigDecimal errorCount = null;

  @SerializedName("errors")
  private List<ApiHiveReplicationError> errors = null;

  @SerializedName("dataReplicationResult")
  private ApiHdfsReplicationResult dataReplicationResult = null;

  @SerializedName("dryRun")
  private Boolean dryRun = null;

  @SerializedName("runAsUser")
  private String runAsUser = null;

  @SerializedName("runOnSourceAsUser")
  private String runOnSourceAsUser = null;

  public ApiHiveReplicationResult phase(String phase) {
    this.phase = phase;
    return this;
  }

   /**
   * Phase the replication is in. &lt;p/&gt; If the replication job is still active, this will contain a string describing the current phase. This will be one of: EXPORT, DATA or IMPORT, for, respectively, exporting the source metastore information, replicating table data (if configured), and importing metastore information in the target. &lt;p/&gt; This value will not be present if the replication is not active. &lt;p/&gt; Available since API v4.
   * @return phase
  **/
  @ApiModelProperty(value = "Phase the replication is in. <p/> If the replication job is still active, this will contain a string describing the current phase. This will be one of: EXPORT, DATA or IMPORT, for, respectively, exporting the source metastore information, replicating table data (if configured), and importing metastore information in the target. <p/> This value will not be present if the replication is not active. <p/> Available since API v4.")
  public String getPhase() {
    return phase;
  }

  public void setPhase(String phase) {
    this.phase = phase;
  }

  public ApiHiveReplicationResult tableCount(BigDecimal tableCount) {
    this.tableCount = tableCount;
    return this;
  }

   /**
   * Number of tables that were successfully replicated. Available since API v4.
   * @return tableCount
  **/
  @ApiModelProperty(value = "Number of tables that were successfully replicated. Available since API v4.")
  public BigDecimal getTableCount() {
    return tableCount;
  }

  public void setTableCount(BigDecimal tableCount) {
    this.tableCount = tableCount;
  }

  public ApiHiveReplicationResult tables(List<ApiHiveTable> tables) {
    this.tables = tables;
    return this;
  }

  public ApiHiveReplicationResult addTablesItem(ApiHiveTable tablesItem) {
    if (this.tables == null) {
      this.tables = new ArrayList<ApiHiveTable>();
    }
    this.tables.add(tablesItem);
    return this;
  }

   /**
   * The list of tables successfully replicated. &lt;p/&gt; Since API v4, this is only available in the full view.
   * @return tables
  **/
  @ApiModelProperty(value = "The list of tables successfully replicated. <p/> Since API v4, this is only available in the full view.")
  public List<ApiHiveTable> getTables() {
    return tables;
  }

  public void setTables(List<ApiHiveTable> tables) {
    this.tables = tables;
  }

  public ApiHiveReplicationResult impalaUDFCount(BigDecimal impalaUDFCount) {
    this.impalaUDFCount = impalaUDFCount;
    return this;
  }

   /**
   * Number of impala UDFs that were successfully replicated. Available since API v6.
   * @return impalaUDFCount
  **/
  @ApiModelProperty(value = "Number of impala UDFs that were successfully replicated. Available since API v6.")
  public BigDecimal getImpalaUDFCount() {
    return impalaUDFCount;
  }

  public void setImpalaUDFCount(BigDecimal impalaUDFCount) {
    this.impalaUDFCount = impalaUDFCount;
  }

  public ApiHiveReplicationResult hiveUDFCount(BigDecimal hiveUDFCount) {
    this.hiveUDFCount = hiveUDFCount;
    return this;
  }

   /**
   * Number of hive UDFs that were successfully replicated. Available since API v14.
   * @return hiveUDFCount
  **/
  @ApiModelProperty(value = "Number of hive UDFs that were successfully replicated. Available since API v14.")
  public BigDecimal getHiveUDFCount() {
    return hiveUDFCount;
  }

  public void setHiveUDFCount(BigDecimal hiveUDFCount) {
    this.hiveUDFCount = hiveUDFCount;
  }

  public ApiHiveReplicationResult impalaUDFs(List<ApiImpalaUDF> impalaUDFs) {
    this.impalaUDFs = impalaUDFs;
    return this;
  }

  public ApiHiveReplicationResult addImpalaUDFsItem(ApiImpalaUDF impalaUDFsItem) {
    if (this.impalaUDFs == null) {
      this.impalaUDFs = new ArrayList<ApiImpalaUDF>();
    }
    this.impalaUDFs.add(impalaUDFsItem);
    return this;
  }

   /**
   * The list of Impala UDFs successfully replicated. Available since API v6 in the full view.
   * @return impalaUDFs
  **/
  @ApiModelProperty(value = "The list of Impala UDFs successfully replicated. Available since API v6 in the full view.")
  public List<ApiImpalaUDF> getImpalaUDFs() {
    return impalaUDFs;
  }

  public void setImpalaUDFs(List<ApiImpalaUDF> impalaUDFs) {
    this.impalaUDFs = impalaUDFs;
  }

  public ApiHiveReplicationResult hiveUDFs(List<ApiHiveUDF> hiveUDFs) {
    this.hiveUDFs = hiveUDFs;
    return this;
  }

  public ApiHiveReplicationResult addHiveUDFsItem(ApiHiveUDF hiveUDFsItem) {
    if (this.hiveUDFs == null) {
      this.hiveUDFs = new ArrayList<ApiHiveUDF>();
    }
    this.hiveUDFs.add(hiveUDFsItem);
    return this;
  }

   /**
   * The list of Impala UDFs successfully replicated. Available since API v6 in the full view.
   * @return hiveUDFs
  **/
  @ApiModelProperty(value = "The list of Impala UDFs successfully replicated. Available since API v6 in the full view.")
  public List<ApiHiveUDF> getHiveUDFs() {
    return hiveUDFs;
  }

  public void setHiveUDFs(List<ApiHiveUDF> hiveUDFs) {
    this.hiveUDFs = hiveUDFs;
  }

  public ApiHiveReplicationResult errorCount(BigDecimal errorCount) {
    this.errorCount = errorCount;
    return this;
  }

   /**
   * Number of errors detected during replication job. Available since API v4.
   * @return errorCount
  **/
  @ApiModelProperty(value = "Number of errors detected during replication job. Available since API v4.")
  public BigDecimal getErrorCount() {
    return errorCount;
  }

  public void setErrorCount(BigDecimal errorCount) {
    this.errorCount = errorCount;
  }

  public ApiHiveReplicationResult errors(List<ApiHiveReplicationError> errors) {
    this.errors = errors;
    return this;
  }

  public ApiHiveReplicationResult addErrorsItem(ApiHiveReplicationError errorsItem) {
    if (this.errors == null) {
      this.errors = new ArrayList<ApiHiveReplicationError>();
    }
    this.errors.add(errorsItem);
    return this;
  }

   /**
   * List of errors encountered during replication. &lt;p/&gt; Since API v4, this is only available in the full view.
   * @return errors
  **/
  @ApiModelProperty(value = "List of errors encountered during replication. <p/> Since API v4, this is only available in the full view.")
  public List<ApiHiveReplicationError> getErrors() {
    return errors;
  }

  public void setErrors(List<ApiHiveReplicationError> errors) {
    this.errors = errors;
  }

  public ApiHiveReplicationResult dataReplicationResult(ApiHdfsReplicationResult dataReplicationResult) {
    this.dataReplicationResult = dataReplicationResult;
    return this;
  }

   /**
   * Result of table data replication, if performed.
   * @return dataReplicationResult
  **/
  @ApiModelProperty(value = "Result of table data replication, if performed.")
  public ApiHdfsReplicationResult getDataReplicationResult() {
    return dataReplicationResult;
  }

  public void setDataReplicationResult(ApiHdfsReplicationResult dataReplicationResult) {
    this.dataReplicationResult = dataReplicationResult;
  }

  public ApiHiveReplicationResult dryRun(Boolean dryRun) {
    this.dryRun = dryRun;
    return this;
  }

   /**
   * Whether this was a dry run.
   * @return dryRun
  **/
  @ApiModelProperty(value = "Whether this was a dry run.")
  public Boolean getDryRun() {
    return dryRun;
  }

  public void setDryRun(Boolean dryRun) {
    this.dryRun = dryRun;
  }

  public ApiHiveReplicationResult runAsUser(String runAsUser) {
    this.runAsUser = runAsUser;
    return this;
  }

   /**
   * Name of the of proxy user, if any. Available since API v11.
   * @return runAsUser
  **/
  @ApiModelProperty(value = "Name of the of proxy user, if any. Available since API v11.")
  public String getRunAsUser() {
    return runAsUser;
  }

  public void setRunAsUser(String runAsUser) {
    this.runAsUser = runAsUser;
  }

  public ApiHiveReplicationResult runOnSourceAsUser(String runOnSourceAsUser) {
    this.runOnSourceAsUser = runOnSourceAsUser;
    return this;
  }

   /**
   * Name of the source proxy user, if any. Available since API v18.
   * @return runOnSourceAsUser
  **/
  @ApiModelProperty(value = "Name of the source proxy user, if any. Available since API v18.")
  public String getRunOnSourceAsUser() {
    return runOnSourceAsUser;
  }

  public void setRunOnSourceAsUser(String runOnSourceAsUser) {
    this.runOnSourceAsUser = runOnSourceAsUser;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApiHiveReplicationResult apiHiveReplicationResult = (ApiHiveReplicationResult) o;
    return Objects.equals(this.phase, apiHiveReplicationResult.phase) &&
        Objects.equals(this.tableCount, apiHiveReplicationResult.tableCount) &&
        Objects.equals(this.tables, apiHiveReplicationResult.tables) &&
        Objects.equals(this.impalaUDFCount, apiHiveReplicationResult.impalaUDFCount) &&
        Objects.equals(this.hiveUDFCount, apiHiveReplicationResult.hiveUDFCount) &&
        Objects.equals(this.impalaUDFs, apiHiveReplicationResult.impalaUDFs) &&
        Objects.equals(this.hiveUDFs, apiHiveReplicationResult.hiveUDFs) &&
        Objects.equals(this.errorCount, apiHiveReplicationResult.errorCount) &&
        Objects.equals(this.errors, apiHiveReplicationResult.errors) &&
        Objects.equals(this.dataReplicationResult, apiHiveReplicationResult.dataReplicationResult) &&
        Objects.equals(this.dryRun, apiHiveReplicationResult.dryRun) &&
        Objects.equals(this.runAsUser, apiHiveReplicationResult.runAsUser) &&
        Objects.equals(this.runOnSourceAsUser, apiHiveReplicationResult.runOnSourceAsUser);
  }

  @Override
  public int hashCode() {
    return Objects.hash(phase, tableCount, tables, impalaUDFCount, hiveUDFCount, impalaUDFs, hiveUDFs, errorCount, errors, dataReplicationResult, dryRun, runAsUser, runOnSourceAsUser);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApiHiveReplicationResult {\n");
    
    sb.append("    phase: ").append(toIndentedString(phase)).append("\n");
    sb.append("    tableCount: ").append(toIndentedString(tableCount)).append("\n");
    sb.append("    tables: ").append(toIndentedString(tables)).append("\n");
    sb.append("    impalaUDFCount: ").append(toIndentedString(impalaUDFCount)).append("\n");
    sb.append("    hiveUDFCount: ").append(toIndentedString(hiveUDFCount)).append("\n");
    sb.append("    impalaUDFs: ").append(toIndentedString(impalaUDFs)).append("\n");
    sb.append("    hiveUDFs: ").append(toIndentedString(hiveUDFs)).append("\n");
    sb.append("    errorCount: ").append(toIndentedString(errorCount)).append("\n");
    sb.append("    errors: ").append(toIndentedString(errors)).append("\n");
    sb.append("    dataReplicationResult: ").append(toIndentedString(dataReplicationResult)).append("\n");
    sb.append("    dryRun: ").append(toIndentedString(dryRun)).append("\n");
    sb.append("    runAsUser: ").append(toIndentedString(runAsUser)).append("\n");
    sb.append("    runOnSourceAsUser: ").append(toIndentedString(runOnSourceAsUser)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

